GNU bug report logs - #2864
running emacsclient uninstalled

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: "Alfred M. Szmidt" <ams@HIDDEN>; dated Thu, 2 Apr 2009 19:20:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to `running emacsclient uninstalled' from `emacsclient bugs..'. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.
Severity set to `minor' from `normal' Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at 2864@HIDDEN:


Received: (at 2864) by emacsbugs.donarmstrong.com; 3 Apr 2009 00:51:25 +0000
From monnier@HIDDEN Thu Apr  2 17:51:25 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.4 required=4.0 tests=FOURLA,HAS_BUG_NUMBER,
	XIRONPORT autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from ironport2-out.teksavvy.com (ironport2-out.pppoe.ca [206.248.154.182])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n330pLcP014412
	for <2864@HIDDEN>; Thu, 2 Apr 2009 17:51:23 -0700
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AjYFAFL61EnO+Lq2/2dsb2JhbACBUs1Jg3wGhQQ
X-IronPort-AV: E=Sophos;i="4.39,316,1235970000"; 
   d="scan'208";a="36126874"
Received: from 206-248-186-182.dsl.teksavvy.com (HELO pastel.home) ([206.248.186.182])
  by ironport2-out.teksavvy.com with ESMTP; 02 Apr 2009 20:51:15 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id A336B8446; Thu,  2 Apr 2009 20:51:13 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: "Alfred M. Szmidt" <ams@HIDDEN>
Cc: 2864 <at> debbugs.gnu.org, Dan Nicolaescu <dann@HIDDEN>
Subject: Re: bug#2864: emacsclient bugs..
Message-ID: <jwvd4bu5zqa.fsf-monnier+emacsbugreports@HIDDEN>
References: <E1LpSMu-0005RY-1b@HIDDEN>
	<200904021950.n32JoKhD006999@HIDDEN>
	<E1LpTGr-0007J3-4j@HIDDEN>
Date: Thu, 02 Apr 2009 20:51:13 -0400
In-Reply-To: <E1LpTGr-0007J3-4j@HIDDEN> (Alfred M. Szmidt's message
	of "Thu, 02 Apr 2009 16:12:17 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

>    Can you please describe what you do step by step?
>    I can't reproduce it here.
> emacsclient never looks in BUILD/src for emacs, so if you do:

I never thought of this case, but it makes sense.  I don't think it's
high priority, but it would be good to make it use BUILD/src/emacs if it
can't find it in the install location or in the PATH.


        Stefan




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2864; Package emacs. Full text available.

Message received at 2864@HIDDEN:


Received: (at 2864) by emacsbugs.donarmstrong.com; 2 Apr 2009 22:06:25 +0000
From ams@HIDDEN Thu Apr  2 15:06:25 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n32M6MAx001650
	for <2864@HIDDEN>; Thu, 2 Apr 2009 15:06:24 -0700
Received: from ams by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <ams@HIDDEN>)
	id 1LpV3F-0002cj-Uy; Thu, 02 Apr 2009 18:06:22 -0400
To: Dan Nicolaescu <dann@HIDDEN>
CC: 2864 <at> debbugs.gnu.org
In-reply-to: <200904022141.n32LfY3p008592@HIDDEN> (message from
	Dan Nicolaescu on Thu, 2 Apr 2009 14:41:34 -0700 (PDT))
Subject: Re: bug#2864: emacsclient bugs..
References: <E1LpSMu-0005RY-1b@HIDDEN>
	<200904021950.n32JoKhD006999@HIDDEN>
	<E1LpTGr-0007J3-4j@HIDDEN>
	<200904022025.n32KPr97007561@HIDDEN>
	<E1LpTdf-00080F-Hj@HIDDEN>
	<200904022114.n32LEebR008231@HIDDEN>
	<E1LpUNa-0001Mb-6G@HIDDEN> <200904022141.n32LfY3p008592@HIDDEN>
Message-Id: <E1LpV3F-0002cj-Uy@HIDDEN>
From: "Alfred M. Szmidt" <ams@HIDDEN>
Date: Thu, 02 Apr 2009 18:06:21 -0400

     > I do not understand, are you saying that emacsclient should behave
     > differently from rest of Emacs?

   I am saying that IMO things are fine the way they are.

Can you please explain why they are fine as they are?

   If someone wants to change them, that person needs to justify the
   need for a change.

I already justified it, the rest of Emacs behabes correctly without
doing `make install' or adding things to PATH, emacsclient does not.





Acknowledgement sent to "Alfred M. Szmidt" <ams@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2864; Package emacs. Full text available.

Message received at 2864@HIDDEN:


Received: (at 2864) by emacsbugs.donarmstrong.com; 2 Apr 2009 21:41:59 +0000
From dann@HIDDEN Thu Apr  2 14:41:58 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-5.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER,
	X_DEBBUGS_NO_ACK autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from barrelv2.ics.uci.edu (barrelv2.ics.uci.edu [128.195.1.114])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n32Lfu5u026817
	for <2864@HIDDEN>; Thu, 2 Apr 2009 14:41:57 -0700
Received: from godzilla.ics.uci.edu (godzilla.ics.uci.edu [128.195.10.101])
	by barrelv2.ics.uci.edu (8.13.8+Sun/8.13.8) with ESMTP id n32LfZjc003800;
	Thu, 2 Apr 2009 14:41:35 -0700 (PDT)
Received: (from dann@localhost)
	by godzilla.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id n32LfY3p008592;
	Thu, 2 Apr 2009 14:41:34 -0700 (PDT)
Date: Thu, 2 Apr 2009 14:41:34 -0700 (PDT)
Message-Id: <200904022141.n32LfY3p008592@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: "Alfred M. Szmidt" <ams@HIDDEN>
Cc: 2864 <at> debbugs.gnu.org
Subject: Re: bug#2864: emacsclient bugs..
References: <E1LpSMu-0005RY-1b@HIDDEN>
	<200904021950.n32JoKhD006999@HIDDEN>
	<E1LpTGr-0007J3-4j@HIDDEN>
	<200904022025.n32KPr97007561@HIDDEN>
	<E1LpTdf-00080F-Hj@HIDDEN>
	<200904022114.n32LEebR008231@HIDDEN>
	<E1LpUNa-0001Mb-6G@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <E1LpUNa-0001Mb-6G@HIDDEN> (Alfred M. Szmidt's message
	of "Thu, 02 Apr 2009 17:23:18 -0400")
Lines: 21
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please contact the ISP for more information
X-ICS-MailScanner-ID: n32LfZjc003800
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (score=-1.44, required 5,
	autolearn=disabled, ALL_TRUSTED -1.44)
X-ICS-MailScanner-From: dann@HIDDEN

"Alfred M. Szmidt" <ams@HIDDEN> writes:

  >      >      > I.e. you have to have BUILD/src in your PATH, or do make instal (which
  >      >      > will put emacs in bindir/emacs and emacsclient looks there).
  >      > 
  >      >    That's normal, emacsclient will try to start "emacs --daemon", if
  >      >    you don't have emacs in your PATH, it won't be able to find it.
  >      >    IMO it won't be a good idea to try to exec ../src/emacs.
  >      > 
  >      > Could you explain why you do not think that this would be a good idea?
  >      > We already do this for elisp files, and any aux. program like
  >      > movemail.
  > 
  >    In emacsclient?
  > 
  > I do not understand, are you saying that emacsclient should behave
  > differently from rest of Emacs?

I am saying that IMO things are fine the way they are.
If someone wants to change them, that person needs to justify the need
for a change.




Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2864; Package emacs. Full text available.

Message received at 2864@HIDDEN:


Received: (at 2864) by emacsbugs.donarmstrong.com; 2 Apr 2009 21:23:21 +0000
From ams@HIDDEN Thu Apr  2 14:23:21 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n32LNInW021516
	for <2864@HIDDEN>; Thu, 2 Apr 2009 14:23:20 -0700
Received: from ams by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <ams@HIDDEN>)
	id 1LpUNa-0001Mb-6G; Thu, 02 Apr 2009 17:23:18 -0400
To: Dan Nicolaescu <dann@HIDDEN>
CC: 2864 <at> debbugs.gnu.org
In-reply-to: <200904022114.n32LEebR008231@HIDDEN> (message from
	Dan Nicolaescu on Thu, 2 Apr 2009 14:14:40 -0700 (PDT))
Subject: Re: bug#2864: emacsclient bugs..
References: <E1LpSMu-0005RY-1b@HIDDEN>
	<200904021950.n32JoKhD006999@HIDDEN>
	<E1LpTGr-0007J3-4j@HIDDEN>
	<200904022025.n32KPr97007561@HIDDEN>
	<E1LpTdf-00080F-Hj@HIDDEN> <200904022114.n32LEebR008231@HIDDEN>
Message-Id: <E1LpUNa-0001Mb-6G@HIDDEN>
From: "Alfred M. Szmidt" <ams@HIDDEN>
Date: Thu, 02 Apr 2009 17:23:18 -0400

     >      > I.e. you have to have BUILD/src in your PATH, or do make instal (which
     >      > will put emacs in bindir/emacs and emacsclient looks there).
     > 
     >    That's normal, emacsclient will try to start "emacs --daemon", if
     >    you don't have emacs in your PATH, it won't be able to find it.
     >    IMO it won't be a good idea to try to exec ../src/emacs.
     > 
     > Could you explain why you do not think that this would be a good idea?
     > We already do this for elisp files, and any aux. program like
     > movemail.

   In emacsclient?

I do not understand, are you saying that emacsclient should behave
differently from rest of Emacs?




Acknowledgement sent to "Alfred M. Szmidt" <ams@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2864; Package emacs. Full text available.

Message received at 2864@HIDDEN:


Received: (at 2864) by emacsbugs.donarmstrong.com; 2 Apr 2009 21:14:59 +0000
From dann@HIDDEN Thu Apr  2 14:14:58 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-5.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER,
	X_DEBBUGS_NO_ACK autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from barrelv2.ics.uci.edu (barrelv2.ics.uci.edu [128.195.1.114])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n32LEu9w018938
	for <2864@HIDDEN>; Thu, 2 Apr 2009 14:14:57 -0700
Received: from godzilla.ics.uci.edu (godzilla.ics.uci.edu [128.195.10.101])
	by barrelv2.ics.uci.edu (8.13.8+Sun/8.13.8) with ESMTP id n32LEfCt026568;
	Thu, 2 Apr 2009 14:14:41 -0700 (PDT)
Received: (from dann@localhost)
	by godzilla.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id n32LEebR008231;
	Thu, 2 Apr 2009 14:14:40 -0700 (PDT)
Date: Thu, 2 Apr 2009 14:14:40 -0700 (PDT)
Message-Id: <200904022114.n32LEebR008231@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: "Alfred M. Szmidt" <ams@HIDDEN>
Cc: 2864 <at> debbugs.gnu.org
Subject: Re: bug#2864: emacsclient bugs..
References: <E1LpSMu-0005RY-1b@HIDDEN>
	<200904021950.n32JoKhD006999@HIDDEN>
	<E1LpTGr-0007J3-4j@HIDDEN>
	<200904022025.n32KPr97007561@HIDDEN>
	<E1LpTdf-00080F-Hj@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <E1LpTdf-00080F-Hj@HIDDEN> (Alfred M. Szmidt's message
	of "Thu, 02 Apr 2009 16:35:51 -0400")
Lines: 14
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please contact the ISP for more information
X-ICS-MailScanner-ID: n32LEfCt026568
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (score=-1.44, required 5,
	autolearn=disabled, ALL_TRUSTED -1.44)
X-ICS-MailScanner-From: dann@HIDDEN

"Alfred M. Szmidt" <ams@HIDDEN> writes:

  >      > I.e. you have to have BUILD/src in your PATH, or do make instal (which
  >      > will put emacs in bindir/emacs and emacsclient looks there).
  > 
  >    That's normal, emacsclient will try to start "emacs --daemon", if
  >    you don't have emacs in your PATH, it won't be able to find it.
  >    IMO it won't be a good idea to try to exec ../src/emacs.
  > 
  > Could you explain why you do not think that this would be a good idea?
  > We already do this for elisp files, and any aux. program like
  > movemail.

In emacsclient?




Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2864; Package emacs. Full text available.

Message received at 2864@HIDDEN:


Received: (at 2864) by emacsbugs.donarmstrong.com; 2 Apr 2009 20:35:55 +0000
From ams@HIDDEN Thu Apr  2 13:35:54 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n32KZqeo008576
	for <2864@HIDDEN>; Thu, 2 Apr 2009 13:35:53 -0700
Received: from ams by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <ams@HIDDEN>)
	id 1LpTdf-00080F-Hj; Thu, 02 Apr 2009 16:35:51 -0400
To: Dan Nicolaescu <dann@HIDDEN>
CC: 2864 <at> debbugs.gnu.org
In-reply-to: <200904022025.n32KPr97007561@HIDDEN> (message from
	Dan Nicolaescu on Thu, 2 Apr 2009 13:25:53 -0700 (PDT))
Subject: Re: bug#2864: emacsclient bugs..
References: <E1LpSMu-0005RY-1b@HIDDEN>
	<200904021950.n32JoKhD006999@HIDDEN>
	<E1LpTGr-0007J3-4j@HIDDEN> <200904022025.n32KPr97007561@HIDDEN>
Message-Id: <E1LpTdf-00080F-Hj@HIDDEN>
From: "Alfred M. Szmidt" <ams@HIDDEN>
Date: Thu, 02 Apr 2009 16:35:51 -0400

     > I.e. you have to have BUILD/src in your PATH, or do make instal (which
     > will put emacs in bindir/emacs and emacsclient looks there).

   That's normal, emacsclient will try to start "emacs --daemon", if
   you don't have emacs in your PATH, it won't be able to find it.
   IMO it won't be a good idea to try to exec ../src/emacs.

Could you explain why you do not think that this would be a good idea?
We already do this for elisp files, and any aux. program like
movemail.

     > I think a simple note stating that it has to be the empty string would
     > be fine.

   It should be there already.

Thank you.




Acknowledgement sent to "Alfred M. Szmidt" <ams@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2864; Package emacs. Full text available.

Message received at 2864@HIDDEN:


Received: (at 2864) by emacsbugs.donarmstrong.com; 2 Apr 2009 20:26:08 +0000
From dann@HIDDEN Thu Apr  2 13:26:08 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-5.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER,
	X_DEBBUGS_NO_ACK autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from sallyv2.ics.uci.edu (sallyv2.ics.uci.edu [128.195.1.120])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n32KQ55G005787
	for <2864@HIDDEN>; Thu, 2 Apr 2009 13:26:06 -0700
Received: from godzilla.ics.uci.edu (godzilla.ics.uci.edu [128.195.10.101])
	by sallyv2.ics.uci.edu (8.13.8+Sun/8.13.8) with ESMTP id n32KPrgw014479;
	Thu, 2 Apr 2009 13:25:53 -0700 (PDT)
Received: (from dann@localhost)
	by godzilla.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id n32KPr97007561;
	Thu, 2 Apr 2009 13:25:53 -0700 (PDT)
Date: Thu, 2 Apr 2009 13:25:53 -0700 (PDT)
Message-Id: <200904022025.n32KPr97007561@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: "Alfred M. Szmidt" <ams@HIDDEN>
Cc: 2864 <at> debbugs.gnu.org
Subject: Re: bug#2864: emacsclient bugs..
References: <E1LpSMu-0005RY-1b@HIDDEN>
	<200904021950.n32JoKhD006999@HIDDEN>
	<E1LpTGr-0007J3-4j@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <E1LpTGr-0007J3-4j@HIDDEN> (Alfred M. Szmidt's message
	of "Thu, 02 Apr 2009 16:12:17 -0400")
Lines: 60
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please contact the ISP for more information
X-ICS-MailScanner-ID: n32KPrgw014479
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (score=-1.44, required 5,
	autolearn=disabled, ALL_TRUSTED -1.44)
X-ICS-MailScanner-From: dann@HIDDEN

"Alfred M. Szmidt" <ams@HIDDEN> writes:

  >      > There are a few problems with emacsclient in CVS, first one is that
  >      > one cannot run emacsclient from the build directory, you can do this
  >      > with emacs just fine.  But emacsclien gets confused as to where things
  >      > are, and you must do a `make install' to be able to use emacsclient
  >      > properly.
  > 
  >    Can you please describe what you do step by step?
  >    I can't reproduce it here.
  > 
  > emacsclient never looks in BUILD/src for emacs, so if you do:
  > 
  > emacs/lib-src/emacsclient -a "" -t
  > 
  > emacsclient will fail with:
  > 
  > ams@beryx:~$ emacs/lib-src/emacsclient -a "" -t             
  > emacs/lib-src/emacsclient: can't find socket; have you started the server?
  > To start the server in Emacs, type "M-x server-start".
  > emacs/lib-src/emacsclient: error starting emacs daemon
  > Emacs daemon should have started, trying to connect again
  > emacs/lib-src/emacsclient: can't find socket; have you started the server?
  > To start the server in Emacs, type "M-x server-start".
  > Error: Cannot connect even after starting the Emacs daemon
  > 
  > I.e. you have to have BUILD/src in your PATH, or do make instal (which
  > will put emacs in bindir/emacs and emacsclient looks there).

That's normal, emacsclient will try to start "emacs --daemon", if you don't have
emacs in your PATH, it won't be able to find it.
IMO it won't be a good idea to try to exec ../src/emacs.

  > Another problem I found, but cannot reproduce anymore is that for some
  > odd reason emacs started looking for all the elisp files in
  > /usr/local.  But I have been unable to reproduce, so I think it was
  > just something on my side.
  > 
  >      > The second one is that the handling of -a/--alternative-editor
  >      > is problematic,
  >      > 
  >      > $ emacs/lib-src/emacsclient -a -c
  >      > emacs/lib-src/emacsclient: file name or argument required
  >      > Try `emacs/lib-src/emacsclient --help' for more information
  >      > 
  >      > According to the docstring, the argument to -a is optional, but
  >      > one must supply a empty string explicitly for things to work as
  >      > advertised.
  > 
  >    There was a typo in the code that made the info about the empty
  >    string not appear, it should be fixed now.
  > 
  >    The argument to -a is not optional, neither are the arguments for
  >    -d -f -s (which are documented in the same way as -a in --help).
  >    What needs to be done to make that clearer?
  > 
  > I think a simple note stating that it has to be the empty string would
  > be fine.

It should be there already.




Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2864; Package emacs. Full text available.

Message received at 2864@HIDDEN:


Received: (at 2864) by emacsbugs.donarmstrong.com; 2 Apr 2009 20:12:21 +0000
From ams@HIDDEN Thu Apr  2 13:12:21 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n32KCIm7001586
	for <2864@HIDDEN>; Thu, 2 Apr 2009 13:12:19 -0700
Received: from ams by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <ams@HIDDEN>)
	id 1LpTGr-0007J3-4j; Thu, 02 Apr 2009 16:12:17 -0400
To: Dan Nicolaescu <dann@HIDDEN>
CC: 2864 <at> debbugs.gnu.org
In-reply-to: <200904021950.n32JoKhD006999@HIDDEN> (message from
	Dan Nicolaescu on Thu, 2 Apr 2009 12:50:20 -0700 (PDT))
Subject: Re: bug#2864: emacsclient bugs..
References: <E1LpSMu-0005RY-1b@HIDDEN> <200904021950.n32JoKhD006999@HIDDEN>
Message-Id: <E1LpTGr-0007J3-4j@HIDDEN>
From: "Alfred M. Szmidt" <ams@HIDDEN>
Date: Thu, 02 Apr 2009 16:12:17 -0400

     > There are a few problems with emacsclient in CVS, first one is that
     > one cannot run emacsclient from the build directory, you can do this
     > with emacs just fine.  But emacsclien gets confused as to where things
     > are, and you must do a `make install' to be able to use emacsclient
     > properly.

   Can you please describe what you do step by step?
   I can't reproduce it here.

emacsclient never looks in BUILD/src for emacs, so if you do:

emacs/lib-src/emacsclient -a "" -t

emacsclient will fail with:

ams@beryx:~$ emacs/lib-src/emacsclient -a "" -t             
emacs/lib-src/emacsclient: can't find socket; have you started the server?
To start the server in Emacs, type "M-x server-start".
emacs/lib-src/emacsclient: error starting emacs daemon
Emacs daemon should have started, trying to connect again
emacs/lib-src/emacsclient: can't find socket; have you started the server?
To start the server in Emacs, type "M-x server-start".
Error: Cannot connect even after starting the Emacs daemon

I.e. you have to have BUILD/src in your PATH, or do make instal (which
will put emacs in bindir/emacs and emacsclient looks there).


Another problem I found, but cannot reproduce anymore is that for some
odd reason emacs started looking for all the elisp files in
/usr/local.  But I have been unable to reproduce, so I think it was
just something on my side.

     > The second one is that the handling of -a/--alternative-editor
     > is problematic,
     > 
     > $ emacs/lib-src/emacsclient -a -c
     > emacs/lib-src/emacsclient: file name or argument required
     > Try `emacs/lib-src/emacsclient --help' for more information
     > 
     > According to the docstring, the argument to -a is optional, but
     > one must supply a empty string explicitly for things to work as
     > advertised.

   There was a typo in the code that made the info about the empty
   string not appear, it should be fixed now.

   The argument to -a is not optional, neither are the arguments for
   -d -f -s (which are documented in the same way as -a in --help).
   What needs to be done to make that clearer?

I think a simple note stating that it has to be the empty string would
be fine.




Acknowledgement sent to "Alfred M. Szmidt" <ams@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2864; Package emacs. Full text available.

Message received at 2864@HIDDEN:


Received: (at 2864) by emacsbugs.donarmstrong.com; 2 Apr 2009 19:50:35 +0000
From dann@HIDDEN Thu Apr  2 12:50:35 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-6.0 required=4.0 tests=HAS_BUG_NUMBER,
	X_DEBBUGS_NO_ACK autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from barrelv2.ics.uci.edu (barrelv2.ics.uci.edu [128.195.1.114])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n32JoW2s027690
	for <2864@HIDDEN>; Thu, 2 Apr 2009 12:50:33 -0700
Received: from godzilla.ics.uci.edu (godzilla.ics.uci.edu [128.195.10.101])
	by barrelv2.ics.uci.edu (8.13.8+Sun/8.13.8) with ESMTP id n32JoLnw005906;
	Thu, 2 Apr 2009 12:50:21 -0700 (PDT)
Received: (from dann@localhost)
	by godzilla.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id n32JoKhD006999;
	Thu, 2 Apr 2009 12:50:20 -0700 (PDT)
Date: Thu, 2 Apr 2009 12:50:20 -0700 (PDT)
Message-Id: <200904021950.n32JoKhD006999@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: "Alfred M. Szmidt" <ams@HIDDEN>
Cc: 2864 <at> debbugs.gnu.org
Subject: Re: bug#2864: emacsclient bugs..
References: <E1LpSMu-0005RY-1b@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <E1LpSMu-0005RY-1b@HIDDEN> (Alfred M. Szmidt's message
	of "Thu, 02 Apr 2009 15:14:28 -0400")
Lines: 28
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please contact the ISP for more information
X-ICS-MailScanner-ID: n32JoLnw005906
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (score=-1.44, required 5,
	autolearn=disabled, ALL_TRUSTED -1.44)
X-ICS-MailScanner-From: dann@HIDDEN

"Alfred M. Szmidt" <ams@HIDDEN> writes:

  > There are a few problems with emacsclient in CVS, first one is that
  > one cannot run emacsclient from the build directory, you can do this
  > with emacs just fine.  But emacsclien gets confused as to where things
  > are, and you must do a `make install' to be able to use emacsclient
  > properly.

Can you please describe what you do step by step?
I can't reproduce it here.

  > The second one is that the handling of -a/--alternative-editor is
  > problematic,
  > 
  > $ emacs/lib-src/emacsclient -a -c
  > emacs/lib-src/emacsclient: file name or argument required
  > Try `emacs/lib-src/emacsclient --help' for more information
  > 
  > According to the docstring, the argument to -a is optional, but one
  > must supply a empty string explicitly for things to work as
  > advertised.

There was a typo in the code that made the info about the empty string
not appear, it should be fixed now.

The argument to -a is not optional, neither are the arguments for 
-d -f -s (which are documented in the same way as -a in --help).
What needs to be done to make that clearer?




Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2864; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 2 Apr 2009 19:14:38 +0000
From ams@HIDDEN Thu Apr  2 12:14:37 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.1 required=4.0 tests=FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n32JEYI1016728
	for <submit@HIDDEN>; Thu, 2 Apr 2009 12:14:35 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LpSN0-0007a2-5X
	for bug-gnu-emacs@HIDDEN; Thu, 02 Apr 2009 15:14:34 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LpSMu-0007Wv-L0
	for bug-gnu-emacs@HIDDEN; Thu, 02 Apr 2009 15:14:32 -0400
Received: from [199.232.76.173] (port=37149 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LpSMu-0007Wc-Bl
	for bug-gnu-emacs@HIDDEN; Thu, 02 Apr 2009 15:14:28 -0400
Received: from fencepost.gnu.org ([140.186.70.10]:53489)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <ams@HIDDEN>)
	id 1LpSMu-0002fn-4X
	for bug-gnu-emacs@HIDDEN; Thu, 02 Apr 2009 15:14:28 -0400
Received: from ams by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <ams@HIDDEN>)
	id 1LpSMu-0005RY-1b
	for bug-gnu-emacs@HIDDEN; Thu, 02 Apr 2009 15:14:28 -0400
To: bug-gnu-emacs@HIDDEN
Subject: emacsclient bugs..
Message-Id: <E1LpSMu-0005RY-1b@HIDDEN>
From: "Alfred M. Szmidt" <ams@HIDDEN>
Date: Thu, 02 Apr 2009 15:14:28 -0400
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6, seldom 2.4 (older, 4)

There are a few problems with emacsclient in CVS, first one is that
one cannot run emacsclient from the build directory, you can do this
with emacs just fine.  But emacsclien gets confused as to where things
are, and you must do a `make install' to be able to use emacsclient
properly.

The second one is that the handling of -a/--alternative-editor is
problematic,

$ emacs/lib-src/emacsclient -a -c
emacs/lib-src/emacsclient: file name or argument required
Try `emacs/lib-src/emacsclient --help' for more information

According to the docstring, the argument to -a is optional, but one
must supply a empty string explicitly for things to work as
advertised.


In GNU Emacs 22.1.1 (x86_64-pc-linux-gnu)
 of 2008-01-22 on osmium, modified by Ubuntu
configured using `configure  '--build=x86_64-linux-gnu' '--host=x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs22:/etc/emacs:/usr/local/share/emacs/22.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/22.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/22.1/leim' '--with-x=no' 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: RMAIL

Minor modes in effect:
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
n n n n n n n n n n n n n n n n n n n n n n n n n n 
n n n n n n n n SPC SPC n n n n n n n n n SPC n n n 
n n n n n n C-x o C-r j o b C-g C-x o g n n g n n n 
n n n n n n n C-x C-s g g n n n n n n n n n n n n n 
n n n C-x C-s g n n n n n n n n n n n n C-x C-s g n 
n n C-x C-s n g g C-x C-s g g g g C-x C-s g g g n n 
C-x C-s g C-x d RET C-x 1 n p p d n n d d d d d RET 
h C-x k RET C-x o C-x k RET C-x o C-x 1 C-p C-p C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p x y e s RET C-n C-n C-n C-n C-n C-n C-n C-n 
g x n n g ESC x r m RET h n n n n n n n n n n n n n 
n n n n n n n n n n n n n n n n n n n n n n n n n C-x 
o C-x C-s C-x C-s g g n n n n n C-x C-s g n n n n n 
n g n n n n n n C-x C-s g n ESC x e m a DEL DEL DEL 
r e p o TAB r t TAB RET

Recent messages:
Saving file /home/a/ams/RMAIL...
Wrote /home/a/ams/RMAIL
Getting mail from /srv/data/mail/ams...
Counting new messages...done (2)
Saving file /home/a/ams/RMAIL...
Wrote /home/a/ams/RMAIL
Computing summary lines...done
2 new messages read
Making completion list...
Loading emacsbug...done





Acknowledgement sent to "Alfred M. Szmidt" <ams@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2864; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.